.menu-layout {
  z-index: 10;
  width: 100%;
  flex-direction: row;
  flex: 1;
  justify-content: space-between;
  align-self: stretch;
  align-items: stretch;
  display: flex;
  position: relative;
  overflow: hidden;
  height: 100%;
}



.image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%; 
  height: 61%; 
  z-index: -1; 
  object-fit: cover; 
  /* opacity: 0.5;  */
  
}


.career-first-heading{ 
color: #fffafa;
text-shadow: 1px 0px 1px #CCCCCC,  ;
background:transparent;
border-radius: 20px 30px 40px 50px;
border-bottom: 5px solid #1C6EA4;
border-right: 5px solid #1C6EA4;
margin-top: 20px;
}

.career-first-heading h1{
  font-size: clamp(18px, 3vw, 30px);
}
#carrer-question{

  display: flex;
  justify-content: center;
  padding: 20px;
}

#carrer-question h1 {
  color: rgba(18, 188, 206, 0.85);
  text-shadow: 3px 3px 0px #FFB650, 3px 3px 0px #FFD662, 5px 5px 0px #FF80BF, 7px 7px 0px #060606, 9px 9px 0px #6868AC, 11px 11px 0px #040404;
}


.carreer-center{   
    display: grid;
    gap: 30px;
    justify-content: center;
     text-align: left;

}
/* Define keyframes for the animation */
@keyframes slideUp {
  from {
      transform: translateY(10px); /* Start from a downward position */
  }
  to {
      transform: translateY(0); /* Move to the original position */
  }
}

/* Apply animation to the text and border bottom */
#carreer-center-journey h1 {
  color: #f35050;
  text-align: center;
  text-transform: capitalize;
  font-size: clamp(12px, 3vw, 24px);
  border-bottom: 5px solid #1C6EA4;
  display: flex;
  justify-content: space-between;
  align-items: baseline;
  transition: border-bottom 0.5s, transform 0.5s;
  animation: slideUp 0.5s ease-in-out;
  text-shadow: 1px 1px 0px #ddd1c0;
}

/* Apply animation to the subtext */
#careers-subtext h3,
#careers-subtext-center h3 {
  text-align: center;
  position: relative;
  font-size: clamp(15px, 1vw, 28px);
  color: white;
  transition: transform 0.5s;
  animation: slideUp 0.5s ease-in-out; /* Apply animation */
}

#careers-subtext h3,
#careers-subtext-center h3 {
    text-align: center;
    position: relative;
    font-size: clamp(15px, 1vw, 28px);
    color: white;
    transition: transform 0.5s;
}

/* Adjust the styles upon hover */
#careers-subtext h3:hover,#carreer-center-journey h1:hover,
#careers-subtext-center h3:hover {
    transform: translateY(-10px); /* Move text upwards */
}
#careers-subtext  h3{
   
      text-align: center;
      position: relative;
      font-size: clamp(15px, 1vw, 28px);
      color: white;
    
}
 #careers-subtext-center h3{
    text-align: center;
    position: relative;
 font: 100;
 font-size: clamp(15px, 1vw, 28px);
    color: white;
 }


 .button-box {
 
    height: auto;
  
    transition: .5s linear;
    position: relative;
    display: block;
    overflow: hidden;
    padding: 15px;
    text-align: center;
    margin: 0 5px;
    background: transparent;
    text-transform: uppercase;
    font-weight: 900;
     border:2px solid grey;
      border-radius: 20px;
      padding-top: 20px;
      padding-bottom:20px;
     
       top: 10%;
  }
  
  .button-box:before {
    position: absolute;
    content: '';
    left: 0;
    bottom: 0;
    height: 4px;
    width: 100%;
    border-bottom: 4px solid transparent;
    border-left: 4px solid transparent;
    /* box-sizing: border-box; */
    transform: translateX(100%);
  }
  
  .button-box:after {
    position: absolute;
    content: '';
    top: 0;
    left: 0;
    width: 100%;
    height: 4px;
    border-top: 4px solid transparent;
    border-right: 4px solid transparent;
    box-sizing: border-box;
    transform: translateX(-100%);
  }
  
  .button-box:hover {
    box-shadow: 0 5px 15px rgba(2, 73, 85, 0.5);
     border-radius: 20px;
     transition: .3s transform linear, .3s height linear .3s;
     border-color: #10b3a5;
  }
  
  .button-box:hover:before {
    border-color: #10b3a5;
    height: 100%;
    transform: translateX(0);
    transition: .3s transform linear, .3s height linear .3s;

  }
  
  .button-box:hover:after {
    border-color: #2cbe0fab;
    height: 100%;
    transform: translateX(0);
    transition: .3s transform linear, .3s height linear .5s;
     border-radius: 20px;
  }
  
  button {
    color: black;
    text-decoration: none;
    cursor: pointer;
    outline: none;
    border: none;
    background: transparent;
  }


#searchInput{

  max-width: 300px;
}


  #carrers-cardRow{

 margin-top: 20px;
  }
  .carrers-card{
  height: auto;
  transition: .5s linear;
  position: relative;
  display: block;
  overflow: hidden;
  padding: 15px;
  text-align: center;
  margin: 0 10px;
  background: transparent;
  text-transform: uppercase;
  font-weight: 900;
   border:2px solid rgba(7, 70, 153, 0.603);
    border-radius: 20px;
    height: 200px;
   
     
  }
  .carrers-card:hover{
    box-shadow: 0 5px 15px rgba(2, 73, 85, 0.5);
    border-radius: 20px;
    transition: .3s transform linear, .3s height linear .3s;
    border-color: #10b3a5;
    background-color: black;
   color: white
    ;
  }

  .carrers-card-title{
 color: transparent;
background: #666666;
-webkit-background-clip: text;
-moz-background-clip: text;
background-clip: text;
text-shadow: 0px 3px 3px rgba(255,255,255,0.5);
  }

.card-apply{
   border: none;
  padding: 0.8em 2.5em;
  outline: none;
  color: white;
  font-style: 1.2em;
  position: relative;
  z-index: 1;
  cursor: pointer;
  background: none;
  text-shadow: 3px 3px 10px rgba(0, 0, 0, 0.45);
}


input[type=text], input[type="email"], input[type="number"] {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  box-sizing: border-box;
  border: none;
  border-bottom: 2px solid rgb(180, 69, 162);
   background-color: transparent;
}
input[type=text]:hover{
  background-color: rgb(143, 142, 142);
    color: white;
}

#carrer-resume-form{
  background-color: transparent;
  
  border: var(--secondary);

  margin-top: 40px;
  border-radius: 20px ;
  border:2px solid;

}
button[type="submit"]{
  background-image: linear-gradient(to right, #00d2ff 0%, #3a7bd5  51%, #00d2ff  100%);

  text-align: center;
  text-transform: uppercase;
  transition: 0.5s;
  background-size: 200% auto;
  color: white;            
  box-shadow: 0 0 20px #eee;
  border-radius: 10px;
  
}
button[type="submit"]:hover{
  background-position: right center; /* change the direction of the change here */
            color: #fff;
            text-decoration: none;
}

 form{
  background: transparent;
   
 }
form h2{
  font-size: clamp(12px, 3vw, 24px); /* Adjust min, preferred, and max font size as needed */
  text-align: center;
  text-transform: capitalize;
}
form .resumefor{
color: rgb(153, 61, 61);
}
.custom-file-input {
  background-image: linear-gradient(to right, #00d2ff 0%, #3a7bd5 51%, #00d2ff 100%);
  border: 1px solid #ced4da;
  border-radius: .25rem;
  padding: 10px;
  color: white;
}

/* Styling for the label */
.custom-file-label {
  background-color: #3a7bd5;
  color: white;
  border: 1px solid #3a7bd5;
  border-radius: .25rem;
  padding: 10px;
  cursor: pointer;
}

/* Hide the default file input text */
.custom-file-label::after {
  content: "Browse";
}

.carrer-resume-form-conatiner{
  justify-content: center;
}




@media  screen and (min-width:991px) and (max-width :1366px) {


  .image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%; 
    height: 80%; 
    z-index: -1; 
    object-fit: cover; 
    /* opacity: 0.5;  */
    
  }
}


@media  screen and (min-width:768px) and (max-width :991px) {
  .carrers-card  {
width: 100%;

margin-left: -20%;
  margin-top: 15px;
  }


  .image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%; 
    height: 88%; 
    z-index: -1; 
    object-fit: cover; 
    /* opacity: 0.5;  */
    
  }
 
}
@media  screen and (min-width:479px) and (max-width :767px) {
  .carrers-card  {
    width: 60%;
    display: inline-table;
  margin-top: 15px;
  }
  #carrer-resume-form{ 
    position: relative;
    border: 2px solid;
    
    width: 40%;
    margin-top: 10px;
   
  }
  #carrers-cardRow{
   display: flexbox;
  }
  #searchInput{

    margin-left: -30%;
  }
  .carrer-resume-form-conatiner{

    width: 80%;
    margin-bottom: 20px;
  }


  .containerwe{
    margin-left: 20%;
 }
 .career-first-heading {
margin-left: -90px;
width: 70%;
 }
 #carrer-question h1
 {
  margin-left: -100px;
padding: 20px;
font-size: 26px;
 }
 #carreer-center-journey {

margin-left: -5%;

 }
 #carreer-center-journey h1{
   margin-left: -10%;
   width: 90%;
 }
 #careers-subtext h3, #careers-subtext-center h3{

   font-size:12px;
   margin-left: -98px;
 }

 .image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%; 
  height: 75%; 
  z-index: -1; 
  object-fit: cover; 
  /* opacity: 0.5;  */
  
}
}


@media  screen and (min-width:120px) and (max-width :470px) {
  #carrer-resume-form{ 
    position: relative;
    border: 2px solid;
    border-radius: 15px 20px 15px 20px;
    width: 50%;
    margin-top: 10px;
    margin-left: -12%;
    margin-right: 20%;

  }
  .custom-file-label {
    background: none;
  }

  .carrers-card  {
    width: 60%;
  }
  .containerwe{
     margin-left: 20%;
  }
  .career-first-heading {
margin-left: -90px;
width: 70%;
  }
  #carrer-question h1
  {
   margin-left: -100px;
 padding: 20px;
 font-size: 26px;
  }
  #carreer-center-journey {

margin-left: -30%;

  }
  #carreer-center-journey h1{
    margin-left: -90%;
    width: 140%;
  }
  #careers-subtext h3, #careers-subtext-center h3{
 
    font-size:12px;
    margin-left: -60px;
  }

  .brand-name-text {
    letter-spacing: .3em;
    font-size: 1.5em;
    margin-top: 2em;
}

.image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%; 
  height: 100%; 
  z-index: -1; 
  object-fit: cover; 
  /* opacity: 0.5;  */
  
}


}

